/*
 *  EQLCIPCDataTypes.h
 *  EQLibC
 *
 *  Created by Markus Hanauska on 08-04.
 *  Copyright 2006 equinux AG. All rights reserved.
 *
 */

#ifndef EQLC_IPC_DATA_TYPES_SEEN
#define EQLC_IPC_DATA_TYPES_SEEN

#include "com/equinux/Encapsulation.h"

// Possible types of parameters
typedef enum {
	// Attribute not found
	EQLCIPCDataType_NoSuchAttribute = -1,
	// Plain Data is NSData
	EQLCIPCDataType_PlainData = 0,
	// These are both NSString
	EQLCIPCDataType_CString,
	EQLCIPCDataType_UTF8String,
	// These are pointers to the following numbers
	EQLCIPCDataType_Float,
	EQLCIPCDataType_Double,
	EQLCIPCDataType_Bool,
	EQLCIPCDataType_Int8,
	EQLCIPCDataType_UInt8,
	EQLCIPCDataType_Int16,
	EQLCIPCDataType_UInt16,
	EQLCIPCDataType_Int32,
	EQLCIPCDataType_UInt32,
	EQLCIPCDataType_Int64,
	EQLCIPCDataType_UInt64
} EQLCIPCDataType;

#endif